# Aplos NCA SaaS SDK for python

Welcome to the Aplos NCA SaaS SDK for automating your PK Analyis.  A secure set of API's to connect to our Cloud System and automate your PK analysis.

This SDK works for our
- Trial Accounts (Multi Tenancy)
- Academic Accounts (Multi Tenancy)
- Professional Accounts (Multi Tenancy)
- Team Accounts (Single Tenancy)
- Enterprise Accounts (Single Tenancy)

## Use 🐍 python to perform an NCA Analysis with the Aplos NCA SaaS Solution.  
If you can make HTTPS 🔐 request 🛜 - you can automation your PK Analysis Workflow Systems.

## 👉 We use this for our demos 🚀🚀 👈
> We'll keep this maintained as we use it for our customer demo as well as Integration Testings.  
> So keep coming back for new features.
>
> If you're not sure how to get started, kick off the Integration Test Suite, set some break points
> and you'll see a wide range of example use cases.

## API Settings 🛑 A valid Aplos NCA Account is required. 🛑


> In order to run the executions and connect to our system, you will need a valid account with an active subscription (reach out for a trial subscription if you are evaluating our solutions).
>
> You'll need your username (email address and a password), a Cognito Client Id
> which allows the USER_PASSWORD_AUTH flow, and your API URL.
>
> Technically if you have your API Domain (from your account), you can use this to query for your Cognito Client Id  
> 
> Otherwise, the Client Id (aka Cognito Client Key) and API URL can be found in your user account.
>
> Your username is your email address and your password would have been provided to you during your
> onboarding or with a "forgot password" request and reset.


## API
You can use the API to integrate the Aplos NCA SaaS Cloud Solution into your workflow.
You can perform:
- Logins
- File Uploads
- PK Analysis Executions
- PK Analysis Results
- File Downloads
- PK Validations (run validations against our calculations engine)
- Tenant & User Management (for Team & Enterprise Accounts)
- and more...


## API Integration Testing
You can use the integration testing to test your environment. You can also use the Integration Testing modules
to learn how to use the API.

## Source
Full source code can also be found on [GitHub](https://github.com/AplosAnalytics/Aplos-NCA-SaaS-SDK)

## Documentation
[The Docs](https://docs.aplosanalytics.com/)

## Corporate Home Page
[Aplos Analytics](https://aplosanalytics.com/)




